#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1
%define module plasma-desktop

Summary:        Plasma 5 application workspace components
Name:           plasma-desktop
Version: 5.12.2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org
Source0:        http://download.kde.org/stable/plasma/%{version}/%{module}-%{version}.tar.xz

# kcm_keyboard fails building on ARM, conditionally disabled in %%prep
Patch0:         plasma-desktop-5.5.3-disable-kcm-keyboard.patch
Patch1:         plasma-desktop-5.7.3-default-mageia-config.patch
Patch2:         plasma-desktop-5.7.95-add-default-mga-menuicon.patch

# git format-patch

BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(ibus-1.0)
BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  pkgconfig(scim)
BuildRequires:  pkgconfig(packagekitqt5)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5QuickWidgets)

BuildRequires:  kf5-macros
BuildRequires:  baloo-devel
BuildRequires:  kdoctools-devel
BuildRequires:  plasma-framework-devel
BuildRequires:  kdesu-devel
BuildRequires:  knewstuff-devel
BuildRequires:  kwallet-devel
BuildRequires:  kcmutils-devel
BuildRequires:  kidletime-devel
BuildRequires:  kdeclarative-devel
BuildRequires:  ktextwidgets-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  kcrash-devel
BuildRequires:  krunner-devel >= 5.34.0
BuildRequires:  knotifyconfig-devel
BuildRequires:  kjsembed-devel
BuildRequires:  kdewebkit-devel
BuildRequires:  libksysguard-devel
BuildRequires:  libkscreen-devel
BuildRequires:  kwin-devel
BuildRequires:  plasma-workspace-devel
BuildRequires:  kpeople-devel
BuildRequires:  kded-devel
BuildRequires:  kscreenlocker-devel

BuildRequires:  cmake(KF5ActivitiesStats)
BuildRequires:  cmake(AppStreamQt)
BuildRequires:  cmake(Breeze)

BuildRequires:  libcanberra-devel
BuildRequires:  libxkbcommon-devel
BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
BuildRequires:  boost-devel

BuildRequires:  pkgconfig(x11-xcb)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-record)
BuildRequires:  pkgconfig(xorg-libinput)
BuildRequires:  pkgconfig(xorg-server)
BuildRequires:  pkgconfig(xorg-synaptics)
BuildRequires:  pkgconfig(xorg-evdev)
BuildRequires:  pkgconfig(xkeyboard-config)

Requires:       krunner
Requires:       kwallet
Requires:       baloo
Requires:       milou
Requires:       kio-extras
Requires:       kglobalaccel
Requires:       kactivities
Requires:       polkit-kde-agent-1
Requires:       kscreen
Requires:       kdesu
Requires:       kwalletmanager
Requires:       xsettings-kde
Requires:       kio
Requires:       kservice
Requires:       kinit
Requires:       kde-cli-tools
Requires:       kconfig
Requires:       powerdevil
Requires:       mageia-plasma5-config
Requires:       plasma-pa
Requires:       khotkeys
Requires:       solid
Requires:       kmenuedit
Requires:       kdeplasma-addons
Requires:       user-manager
Requires:       kactivitymanagerd
Requires:       kparts
Requires:       sonnet
Requires:       bluedevil
Requires:       kpackage
Requires:       kimageformats
Requires:       kamera

# mga6
Obsoletes:      plasma-applet-icontasks < 5.0.0
Provides:       plasma-applet-icontasks = %version-%release
Obsoletes:      plasma-applet-folderview < 1:5.0.0
Obsoletes:      plasma-applet-frame < 5.0.0
Obsoletes:      plasma-applet-showdashboard < 5.0.0
Obsoletes:      plasma-applet-showdesktop < 5.0.0
Obsoletes:      plasma-applet-weather < 5.0.0
Obsoletes:      plasma-applet-weatherstation < 5.0.0
Obsoletes:      plasma-runner-contacts < 5.0.0
Obsoletes:      plasma-runner-datetime < 5.0.0
Obsoletes:      plasma-runner-events < 5.0.0

Obsoletes:      kdepasswd < 1:5.0.0
Obsoletes:      kcm-touchpad < 1.1-3
Obsoletes:      kcm_touchpad < 0.3.1-15
Obsoletes:      superkaramba < 15.08.3-2

# duplicated files with KDE 4
Conflicts:      kde-l10n < 15.04.0
Conflicts:      kdebase4-workspace < 2:4.11.23

Conflicts:      kdeplasma-addons < 5.5.95-1
Conflicts:      kactivities < 1:5.20.0-1

%description
Plasma 5 application workspace components.

%files -f %name.lang
%_kf5_sysconfdir/dbus-1/system.d/org.kde.fontinst.conf
%_kf5_sysconfdir/dbus-1/system.d/org.kde.kcontrol.kcmclock.conf
%_kf5_sysconfdir/xdg/*.knsrc
%_kf5_bindir/kaccess
%_kf5_bindir/kapplymousetheme
%_kf5_libdir/libkdeinit5_kaccess.so
%_kf5_bindir/kfontinst
%_kf5_bindir/kfontview
%_kf5_bindir/knetattach
%_kf5_bindir/krdb
%_kf5_bindir/solid-action-desktop-gen
%_kf5_bindir/kcm-touchpad-list-devices
%_kf5_bindir/kcolorschemeeditor
%_kf5_bindir/lookandfeeltool
%_qt5_plugindir/*.so
%_kf5_services/*
%_kf5_libdir/kconf_update_bin/krdb_clearlibrarypath
%_kf5_datadir/polkit-1/actions/org.kde.fontinst.policy
%_kf5_datadir/polkit-1/actions/org.kde.kcontrol.kcmclock.policy
%_kf5_qmldir/org/kde/plasma/private/kicker
%_kf5_qmldir/org/kde/plasma/private/pager
%_kf5_qmldir/org/kde/plasma/private/taskmanager
%_kf5_qmldir/org/kde/plasma/private/trash
%_kf5_qmldir/org/kde/plasma/activityswitcher
%_kf5_qmldir/org/kde/private/desktopcontainment
%_kf5_qmldir/org/kde/activities/settings
%_kf5_qmldir/org/kde/plasma/private/kimpanel
%_qt5_plugindir/kcms/kcm_lookandfeel.so
%_qt5_plugindir/kcms/kcm_splashscreen.so
%_qt5_plugindir/kcms/kcm_desktoptheme.so
%_qt5_plugindir/kcms/kcm_nightcolor.so
%_kf5_datadir/appdata/org.kde.plasmashell.metainfo.xml
%_libexecdir/*
%_kf5_datadir/applications/org.kde.kfontview.desktop
%_kf5_datadir/applications/org.kde.knetattach.desktop
%_kf5_datadir/applications/org.kde.kcolorschemeeditor.desktop
%_kf5_datadir/color-schemes
%_datadir/dbus-1/services/org.kde.fontinst.service
%_datadir/dbus-1/system-services/*.service
%_kf5_iconsdir/*/*/*/*
%_kf5_datadir/kcm_componentchooser
%_kf5_datadir/kcm_phonon
%_kf5_datadir/kcmkeyboard
%_kf5_datadir/kcminput/
%_kf5_datadir/kcmkeys
%_kf5_datadir/kconf_update
%_kf5_datadir/kcontrol/pics/logo.png
%_kf5_datadir/kcontrol/pics/mini-world.png
%_kf5_datadir/kdisplay
%_kf5_datadir/kfontinst
%_kf5_datadir/kf5/kactivitymanagerd/workspace
%_kf5_knotificationsdir/*.notifyrc
%_kf5_datadir/konqsidebartng/virtual_folders/services/fonts.desktop
%_kf5_datadir/kcmsolidactions/solid-action-template.desktop
%_kf5_datadir/kservicetypes5/solid-device-type.desktop
%_kf5_datadir/solid/devices/*.desktop
%_kf5_datadir/kxmlgui5/kfontinst/kfontviewpart.rc
%_kf5_datadir/kxmlgui5/kfontview/kfontviewui.rc
%_kf5_datadir/plasma/packages/org.kde.desktoptoolbox/
%_kf5_datadir/plasma/packages/org.kde.paneltoolbox/
%_kf5_datadir/plasma/plasmoids/org.kde.desktopcontainment/
%_kf5_datadir/plasma/plasmoids/org.kde.panel/
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.folder/
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.kicker/
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.kickoff/
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.pager/
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.showActivityManager/
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.taskmanager/
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.trash/
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.windowlist/
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.icontasks/
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.kimpanel/
%_kf5_datadir/plasma/shells/org.kde.plasma.desktop/
%_kf5_datadir/plasma/layout-templates/org.kde.plasma.desktop.defaultPanel/
%_kf5_datadir/plasma/layout-templates/org.kde.plasma.desktop.emptyPanel/
%_kf5_datadir/plasma/layout-templates/org.kde.plasma.desktop.appmenubar/
%_kf5_datadir/kpackage/kcms/kcm_lookandfeel
%_kf5_datadir/kpackage/kcms/kcm_splashscreen
%_kf5_datadir/kpackage/kcms/kcm_desktoptheme
%_kf5_datadir/kpackage/kcms/kcm_nightcolor
%_qt5_plugindir/plasma/dataengine/plasma_engine_touchpad.so
%_qt5_plugindir/plasma/dataengine/plasma_engine_kimpanel.so
%_kf5_datadir/config.kcfg/touchpad.kcfg
%_kf5_datadir/config.kcfg/touchpaddaemon.kcfg
%_datadir/dbus-1/interfaces/org.kde.touchpad.xml
%_kf5_datadir/plasma/desktoptheme/default/icons/touchpad.svg
%_kf5_datadir/plasma/plasmoids/touchpad
%_kf5_datadir/plasma/services/touchpad.operations
%_kf5_plugindir/kded/device_automounter.so
%_kf5_plugindir/kded/keyboard.so
%_kf5_datadir/plasma/services/kimpanel.operations
%_kf5_appdatadir/org.kde*.appdata.xml
%_datadir/locale/*/LC_SCRIPTS/kfontinst/kfontinst.js

#--------------------------------------------------------------------

%define kfontinstui_major 5
%define libkfontinstui %mklibname kfontinstui %{kfontinstui_major}

%package -n %libkfontinstui
Summary:      Plasma 5 application workspace components
Group:        System/Libraries

%description -n %libkfontinstui
Plasma 5 application workspace components.

%files -n %libkfontinstui
%_kf5_libdir/libkfontinstui.so.%{kfontinstui_major}*

#--------------------------------------------------------------------

%define kfontinst_major 5
%define libkfontinst %mklibname kfontinst %{kfontinst_major}

%package -n %libkfontinst
Summary:      Plasma 5 application workspace components
Group:        System/Libraries

%description -n %libkfontinst
Plasma 5 application workspace components.

%files -n %libkfontinst
%_kf5_libdir/libkfontinst.so.%{kfontinst_major}*

#--------------------------------------------------------------------


%define plasma_desktop_devel %mklibname plasma-desktop -d

%package -n %plasma_desktop_devel

Summary:        Devel stuff for %module
Group:          Development/KDE and Qt
Requires:       %libkfontinstui = %version-%release
Requires:       %libkfontinst = %version-%release
Provides:       %name-devel = %{version}-%{release}

# duplicated files with KDE 4
Conflicts:      kdebase4-workspace-devel < 2:4.11.21

%description -n %plasma_desktop_devel
This package contains header files needed if you wish to build applications
based on %module.

%files -n %plasma_desktop_devel
%_kf5_libdir/libkfontinst.so
%_kf5_libdir/libkfontinstui.so

#--------------------------------------------------------------------

%package handbook
Summary: %module Handbook
BuildArch: noarch

# duplicated files with KDE 4
Conflicts: kdebase4-runtime-handbook < 1:15.07.90
Conflicts: kdebase4-workspace-handbooks < 2:4.11.21

Conflicts: kde-l10n-handbooks-de < 5.8.6
Conflicts: kde-l10n-handbooks-it < 5.8.6
Conflicts: kde-l10n-handbooks-nl < 5.8.6
Conflicts: kde-l10n-handbooks-pt_BR < 5.8.6
Conflicts: kde-l10n-handbooks-sv < 5.8.6
Conflicts: kde-l10n-handbooks-uk < 5.8.6

Obsoletes: kdepasswd-handbook < 1:5.0.0

%description handbook
This package provides %module Handbook.

%files handbook
%doc %_docdir/HTML/*/kcontrol/clock
%doc %_docdir/HTML/*/kcontrol/colors
%doc %_docdir/HTML/*/kcontrol/desktopthemedetails
%doc %_docdir/HTML/*/kcontrol/emoticons
%doc %_docdir/HTML/*/kcontrol/icons
%doc %_docdir/HTML/*/kcontrol/joystick
%doc %_docdir/HTML/*/kcontrol/kcmaccess
%doc %_docdir/HTML/*/kcontrol/kcmstyle
%doc %_docdir/HTML/*/kcontrol/solid-actions
%doc %_docdir/HTML/*/kcontrol/splashscreen
%doc %_docdir/HTML/*/kfontview
%doc %_docdir/HTML/*/knetattach
%doc %_docdir/HTML/*/plasma-desktop
%doc %_docdir/HTML/*/kcontrol/baloo
%doc %_docdir/HTML/*/kcontrol/autostart
%doc %_docdir/HTML/*/kcontrol/componentchooser
%doc %_docdir/HTML/*/kcontrol/cursortheme
%doc %_docdir/HTML/*/kcontrol/fontinst
%doc %_docdir/HTML/*/kcontrol/fonts
%doc %_docdir/HTML/*/kcontrol/formats
%doc %_docdir/HTML/*/kcontrol/kcmlaunch
%doc %_docdir/HTML/*/kcontrol/kcmnotify
%doc %_docdir/HTML/*/kcontrol/kcmsmserver
%doc %_docdir/HTML/*/kcontrol/kded
%doc %_docdir/HTML/*/kcontrol/keyboard
%doc %_docdir/HTML/*/kcontrol/keys
%doc %_docdir/HTML/*/kcontrol/mouse
%doc %_docdir/HTML/*/kcontrol/paths
%doc %_docdir/HTML/*/kcontrol/phonon
%doc %_docdir/HTML/*/kcontrol/solid-device-automounter
%doc %_docdir/HTML/*/kcontrol/spellchecking
%doc %_docdir/HTML/*/kcontrol/translations

#--------------------------------------------------------------------

%prep
%setup -q -n %module-%version

%ifarch %arm
#patch0 -p1
%endif

%patch1 -p1
%patch2 -p1

%build
%cmake_kf5 -Wno-dev
%make_build

%install
%make_install -C build


#pushd %%buildroot%%_kf5_datadir/plasma/shells
#       cp -fr org.kde.breeze.desktop org.mageia.breeze.desktop
#popd

%find_lang %name --all-name


%changelog
* Fri Feb 23 2018 neoclust <neoclust> 5.12.2-1.mga6
+ Revision: 1204498
- New version 5.12.2
- Sync with cauldron
- New version 5.12.1
- New version 5.11.95
- Install kamera by default (mga#21909)
- Add kpackage as default require (mga#21251)

  + daviddavid <daviddavid>
    - add kimageformats as a dependency (mga#21935)

* Tue Jun 06 2017 akien <akien> 5.8.7-5.mga6
+ Revision: 1107148
- Use upstream patch to fix implicit Qt 5.7 use

* Sun May 28 2017 neoclust <neoclust> 5.8.7-4.mga6
+ Revision: 1105286
- Fix typo in conflicts

* Sat May 27 2017 neoclust <neoclust> 5.8.7-3.mga6
+ Revision: 1105177
- Add more conflicts to help upgrade

* Fri May 26 2017 neoclust <neoclust> 5.8.7-2.mga6
+ Revision: 1105078
- Add P100 - Revert upstream commit 76034a4cd

* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1105036
- New version 5.8.7

* Thu May 18 2017 neoclust <neoclust> 5.8.6-10.mga6
+ Revision: 1103122
- Revert previous patches

* Thu May 18 2017 neoclust <neoclust> 5.8.6-9.mga6
+ Revision: 1102908
- Sync with plasma 5.8 branch

* Sun May 14 2017 neoclust <neoclust> 5.8.6-8.mga6
+ Revision: 1101061
- Fix conflits (mga#20800)

* Thu Apr 20 2017 neoclust <neoclust> 5.8.6-7.mga6
+ Revision: 1096960
- Sync with 5.8 branch

* Sat Apr 01 2017 neoclust <neoclust> 5.8.6-6.mga6
+ Revision: 1095586
- Update to Plasma 5.8 Branch

* Sun Mar 26 2017 neoclust <neoclust> 5.8.6-5.mga6
+ Revision: 1094892
- Sync with 5.8 branch

* Fri Mar 10 2017 neoclust <neoclust> 5.8.6-4.mga6
+ Revision: 1091570
- Add P114: Fix hovering bug (mga#20433)

* Fri Mar 10 2017 neoclust <neoclust> 5.8.6-3.mga6
+ Revision: 1091161
- Sync with 5.8.7 branch

* Wed Mar 08 2017 neoclust <neoclust> 5.8.6-2.mga6
+ Revision: 1089712
- Rebuild for arm

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089037
- New version 5.8.6

* Fri Dec 30 2016 neoclust <neoclust> 5.8.5-2.mga6
+ Revision: 1078723
- Fix conflict against kdebase4-workspace

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078172
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070729
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065084
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064490
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063060
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060441
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057611
- New version 5.8.0

* Fri Sep 16 2016 neoclust <neoclust> 5.7.95-2.mga6
+ Revision: 1053496
- Fix default background extension

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053220
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052694
- New version 5.7.5

* Mon Sep 12 2016 neoclust <neoclust> 5.7.4-2.mga6
+ Revision: 1051607
- Install Bluedevil by default ( mga #19339)

* Thu Aug 25 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048815
- New version 5.7.4

* Tue Aug 23 2016 daviddavid <daviddavid> 5.7.3-15.mga6
+ Revision: 1047939
- Requires sonnet

* Tue Aug 09 2016 neoclust <neoclust> 5.7.3-14.mga6
+ Revision: 1045207
- Add default launchers on the panel

* Tue Aug 09 2016 neoclust <neoclust> 5.7.3-13.mga6
+ Revision: 1045168
- Addorg.kde.plasma.lock_logout widget

* Tue Aug 09 2016 neoclust <neoclust> 5.7.3-12.mga6
+ Revision: 1045163
- Add showactivity widget

* Tue Aug 09 2016 neoclust <neoclust> 5.7.3-11.mga6
+ Revision: 1045076
- Fix typo in customisation

* Tue Aug 09 2016 neoclust <neoclust> 5.7.3-10.mga6
+ Revision: 1045062
- Fi mageia default start

* Sun Aug 07 2016 neoclust <neoclust> 5.7.3-9.mga6
+ Revision: 1044949
- Fix bug with a empty panel

* Sun Aug 07 2016 neoclust <neoclust> 5.7.3-8.mga6
+ Revision: 1044945
- Really apply Patch2

* Sun Aug 07 2016 neoclust <neoclust> 5.7.3-7.mga6
+ Revision: 1044941
- Update app menu icon (mga#18579)

* Sun Aug 07 2016 neoclust <neoclust> 5.7.3-6.mga6
+ Revision: 1044930
- Fix default requires : kparts

* Sun Aug 07 2016 neoclust <neoclust> 5.7.3-5.mga6
+ Revision: 1044925
- Install kactivitymanagerd as default

* Fri Aug 05 2016 neoclust <neoclust> 5.7.3-4.mga6
+ Revision: 1044682
- Requires user-manager
- Add showdesktop widget by default

* Fri Aug 05 2016 neoclust <neoclust> 5.7.3-2.mga6
+ Revision: 1044639
- Fix default requires

* Fri Aug 05 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044628
- New version 5.7.3

* Sat Jul 30 2016 daviddavid <daviddavid> 5.7.2-2.mga6
+ Revision: 1044007
- add kmenuedit as a Requires

* Wed Jul 20 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042787
- New version 5.7.2
- New version 5.7.2

* Fri Jul 15 2016 neoclust <neoclust> 5.7.1-4.mga6
+ Revision: 1042158
- Really apply P1

* Fri Jul 15 2016 neoclust <neoclust> 5.7.1-3.mga6
+ Revision: 1042119
- Customize default menu style

* Fri Jul 15 2016 neoclust <neoclust> 5.7.1-2.mga6
+ Revision: 1042118
- Start to customize mageia Plasma

* Thu Jul 14 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041980
- New version 5.7.1
- New version 5.7.1

* Sat Jul 09 2016 neoclust <neoclust> 5.7.0-3.mga6
+ Revision: 1039913
- Enable folderview by default

* Fri Jul 08 2016 neoclust <neoclust> 5.7.0-2.mga6
+ Revision: 1039794
- Remove empty package

* Fri Jul 08 2016 tmb <tmb> 5.7.0-1.mga6
+ Revision: 1039783
- update filelists
- update filelist
- update to 5.7.0

* Tue Jul 05 2016 tmb <tmb> 5.6.5-1.mga6
+ Revision: 1038747
- update to 5.6.5

  + neoclust <neoclust>
    - New version 5.6.5

* Thu Jun 16 2016 luigiwalser <luigiwalser> 5.6.4-4.mga6
+ Revision: 1021795
- revert previous change for now as it does not work and panel disappears

* Sat Jun 11 2016 neoclust <neoclust> 5.6.4-3.mga6
+ Revision: 1021204
- Modify default menu

* Sat Jun 11 2016 neoclust <neoclust> 5.6.4-2.mga6
+ Revision: 1021177
- Add mageia default background

* Mon May 16 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1015967
- New version 5.6.4

  + tv <tv>
    - use std build macros

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009434
- New version 5.6.3
- Use Mageia Configs from mageia-plasms5-config

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999271
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998026
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994404
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-6.mga6
+ Revision: 987003
- Rebuild against kf5 5.20.0
- Fix conflicts against kactivities

* Sat Mar 05 2016 luigiwalser <luigiwalser> 5.5.95-4.mga6
+ Revision: 985815
- fix some obsoletes

* Fri Mar 04 2016 neoclust <neoclust> 5.5.95-3.mga6
+ Revision: 985556
- Add conflict to ease upgrade

* Fri Mar 04 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 985555
- Add conflict to ease upgrade

* Thu Mar 03 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 985231
- New version 5.5.95

* Tue Mar 01 2016 blino <blino> 5.5.4-2.mga6
+ Revision: 981741
- obsolete superkaramba (dropped in KDE 15.12.0)

* Wed Jan 27 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 928003
- New version 5.5.4

* Sun Jan 24 2016 neoclust <neoclust> 5.5.3-3.mga6
+ Revision: 926951
- Install khotkeys by default

* Sun Jan 17 2016 neoclust <neoclust> 5.5.3-2.mga6
+ Revision: 925006
- Install plasma-pa by default

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922516
- New version 5.5.3

* Fri Jan 01 2016 neoclust <neoclust> 5.5.2-3.mga6
+ Revision: 917525
- Add powerdevil as require

* Sun Dec 27 2015 neoclust <neoclust> 5.5.2-2.mga6
+ Revision: 915833
- Rebuild against new cmake to have cmake() provides

* Fri Dec 25 2015 neoclust <neoclust> 5.5.2-1.mga6
+ Revision: 914852
- New version 5.5.2
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 910697
- New version 5.5.1

* Wed Dec 09 2015 neoclust <neoclust> 5.5.0-3.mga6
+ Revision: 909000
- Rebuild against fixed hawkey

* Wed Dec 09 2015 neoclust <neoclust> 5.5.0-2.mga6
+ Revision: 908988
- Rebuild with bootstrapped plasma-workspace

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 908858
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-1.mga6
+ Revision: 904508
- New version 5.4.95

* Thu Nov 12 2015 neoclust <neoclust> 5.4.90-5.mga6
+ Revision: 902747
- Fix typo in requires MGA#17135

* Wed Nov 11 2015 neoclust <neoclust> 5.4.90-4.mga6
+ Revision: 902619
- Add new config rpm as deps

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-3.mga6
+ Revision: 900851
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 899656
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.4.90-1.mga6
+ Revision: 898494
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889529
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 874741
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869730
- New version 5.4.0

* Fri Aug 21 2015 neoclust <neoclust> 5.3.95-4.mga6
+ Revision: 867373
- Add more minimal deps

* Fri Aug 21 2015 neoclust <neoclust> 5.3.95-3.mga6
+ Revision: 867317
- Add some minimal requires

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-2.mga6
+ Revision: 863327
- Rebuild against KF 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 862906
- New version 5.3.95

* Sun Aug 09 2015 neoclust <neoclust> 5.3.2-17.mga6
+ Revision: 861695
- Fix confict to ease upgrade

* Mon Aug 03 2015 neoclust <neoclust> 5.3.2-16.mga6
+ Revision: 860884
- Requires kactivities to fix a crash ( mga#16416)

* Sat Aug 01 2015 neoclust <neoclust> 5.3.2-15.mga6
+ Revision: 860478
- Obsolete removed package

* Sat Aug 01 2015 neoclust <neoclust> 5.3.2-14.mga6
+ Revision: 860315
- Provides icontasks

* Sat Aug 01 2015 neoclust <neoclust> 5.3.2-13.mga6
+ Revision: 860301
- Fix conflicts against kdebase4-workspace-devel

* Sat Aug 01 2015 neoclust <neoclust> 5.3.2-12.mga6
+ Revision: 860250
- Fix conflicts against kdebase4-workspace
- Add default requires

* Sun Jul 19 2015 neoclust <neoclust> 5.3.2-10.mga6
+ Revision: 855551
- Add kwallet as basis deps

* Sun Jul 19 2015 neoclust <neoclust> 5.3.2-9.mga6
+ Revision: 855490
- Add Buildrequire to xorg-evdev
- Add packagekit Qt5 Buildrequire
- Add Buildrequires for the touchpad kcm

* Sat Jul 18 2015 lmenut <lmenut> 5.3.2-7.mga6
+ Revision: 855166
- fix BuildRequires, Obsoletes versions & Provides

* Fri Jul 17 2015 neoclust <neoclust> 5.3.2-6.mga6
+ Revision: 854878
- Obsoletes some packages

* Mon Jul 13 2015 neoclust <neoclust> 5.3.2-5.mga6
+ Revision: 853545
- Ease upgrade

* Wed Jul 08 2015 neoclust <neoclust> 5.3.2-4.mga6
+ Revision: 852694
- Add krunner as require

* Tue Jul 07 2015 lmenut <lmenut> 5.3.2-3.mga6
+ Revision: 852275
- fix Conflicts: add versions

  + neoclust <neoclust>
    - Remove conflicts

* Sat Jul 04 2015 neoclust <neoclust> 5.3.2-2.mga6
+ Revision: 850530
- Fix library name

* Sat Jul 04 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 850524
- New version 5.3.2

* Sat Dec 20 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804487
- New version

* Mon Oct 27 2014 lmenut <lmenut> 5.0.1-5.mga5
+ Revision: 793590
- add missing conflicts with KDE 4 (mga#14300)

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-4.mga5
+ Revision: 740507
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-3.mga5
+ Revision: 687628
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 neoclust <neoclust> 5.0.1-2.mga5
+ Revision: 663963
- Adapt to package renaming
- Adapt to package renaming

* Wed Aug 13 2014 neoclust <neoclust> 5.0.1-1.mga5
+ Revision: 662308
- New version 5.0.1

* Mon Jul 28 2014 neoclust <neoclust> 5.0.0-3.mga5
+ Revision: 657675
- Fix file list for non devel package

* Sun Jul 27 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 657663
- Enable translations

* Tue Jul 22 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 655640
- Workaround require bug
- imported package plasma-desktop

